Last Comment Bug 362156 - support the 'feed' link type in HTML
: support the 'feed' link type in HTML
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: RSS Discovery and Preview (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 3 alpha2
Assigned To: Robert Sayre
:
:
Mentors:
http://whatwg.org/specs/web-apps/curr...
Depends on: 377611
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-28 16:07 PST by Robert Sayre
Modified: 2007-04-24 02:07 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
look for the feed relation (2.51 KB, patch)
2006-12-05 11:17 PST, Robert Sayre
gavin.sharp: review+
Details | Diff | Splinter Review
fix gavin's comments (2.48 KB, patch)
2006-12-07 10:43 PST, Robert Sayre
no flags Details | Diff | Splinter Review

Description Robert Sayre 2006-11-28 16:07:49 PST
A no-brainer.
Comment 1 Robert Sayre 2006-12-05 10:13:03 PST
Use the test case from bug 362239

https://bugzilla.mozilla.org/attachment.cgi?id=247042
Comment 2 Robert Sayre 2006-12-05 11:17:44 PST
Created attachment 247561 [details] [diff] [review]
look for the feed relation

This adds support in <link>, but not <a>. Whoever ends up on microformat detail will have to handle that. 

I filed two spinoff bugs-

bug 362864: add support for feed discovery in anchor elements
bug 362863: decide what to do with feed mime types we don't understand
Comment 3 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-12-06 22:34:52 PST
Comment on attachment 247561 [details] [diff] [review]
look for the feed relation

>RCS file: /cvsroot/mozilla/browser/base/content/browser.js,v

>+    for each (var relValue in erel.split(" ")) { 

Shouldn't this be .split(/\s/)?

Also, please remove any trailing whitespace that this patch adds.
Comment 4 Robert Sayre 2006-12-07 10:43:11 PST
Created attachment 247854 [details] [diff] [review]
fix gavin's comments
Comment 5 Robert Sayre 2006-12-07 10:46:39 PST
Checking in browser.js;
/cvsroot/mozilla/browser/base/content/browser.js,v  <--  browser.js
new revision: 1.744; previous revision: 1.743
done
Comment 6 Dão Gottwald [:dao] 2006-12-07 14:48:58 PST
(In reply to comment #4)
> Created an attachment (id=247854) [edit]

btw, rels.foo is just as good as rels["foo"].
Comment 7 Peter van der Woude [:Peter6] 2006-12-07 14:59:36 PST
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9a1) Gecko/20061207 Minefield/3.0a1 ID:2006120714 [cairo]

verified/fixed

Note You need to log in before you can comment on or make changes to this bug.